Draft Groupement automatique

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft AutoGroup and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Draft Groupement automatique

Emplacement du menu
Aucun
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Draft Calque, Std Créer un groupe

Description

La commande Draft Groupement automatique modifie le Draft Calque actif ou, éventuellement, l'objet actif Std Groupe ou similaire aux groupes Arch. Les nouveaux objets Draft et Arch sont automatiquement placés dans ce calque ou groupe actif.

Cette commande était à l'origine destinée aux groupes, d'où son nom, mais a été remaniée dans la version 0.19 de FreeCAD lorsqu'un système de calques a été introduit. Comme la gestion des couches est maintenant la valeur par défaut de la commande, le reste de cette page se concentrera principalement sur les couches.

Draft tray menu.png

Le menu calque de la barre Draft

Utilisation

  1. Pour utiliser cette commande dans FreeCAD version 0.19, au moins un calque doit exister.
  2. Sélectionnez éventuellement le calque que vous voulez rendre actif dans la Vue en arborescence.
  3. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le Button invalid.svg Aucun dans la Draft Barre. Ce bouton peut avoir un aspect différent. S'il y a un calque actif, il affichera le nom du calque et une icône de calque avec la VueLine Color et la VueShape Color du calque.
    • Si vous avez sélectionné un calque : sélectionnez l'option Button right.svg Activer ce calque dans le menu contextuel de la Vue en arborescence.
  4. Si vous n'avez pas encore sélectionné de calque, le menu des calques s'ouvre. Effectuez l'une des opérations suivantes :
    • Sélectionnez None pour travailler sans calque actif.
    • Sélectionnez un calque existant pour le rendre actif.
    • Sélectionnez Add new Layer pour créer un nouveau calque. La sélection de cette option ne modifie pas la couche active.
  5. Si le calque active a été modifiée, le bouton de la Draft Barre est mis à jour.

Remarques

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Cette commande peut éventuellement gérer aussi les groupes : Edition → Préférences... → Draft → Paramètres généraux → Réglages généraux Draft → Afficher les groupes dans la liste déroulante des calques.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Si l'atelier Draft est actif, l'objet d'application FreeCADGui possède une propriété draftToolBar. Cet objet draftToolBar a une propriété autogroup, qui contient le nom de l'autogroupe actif, ou est None si aucun autogroupe n'est actif. Pour modifier l'autogroupe actif, utilisez la méthode setAutoGroup de l'objet draftToolBar. Pour placer des objets dans l'autogroupe actif, utilisez la méthode autogroup du module Draft.

# This code only works if the Draft Workbench is active!

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)

layer = Draft.make_layer()
Gui.draftToolBar.setAutoGroup(layer.Name)

Draft.autogroup(polygon1)
Draft.autogroup(polygon2)
Draft.autogroup(polygon3)

doc.recompute()